@import "fonts.css";
@import "fontawesome/all.css";
@import "header.css";
@import "footer.css";


/**
        Ce fichier CSS est injecté dans chaque écran de keycloak
 */

/*#region template*/
html {
    height: 100%;
}

body {
    font-family: "Heebo", Arial, sans-serif;
    margin: 0;
    height: 100%;
    font-weight: normal;
    font-size: 13px;
    line-height: 1.2;
}

a {
    line-height: inherit;
    color: #34589d;
    text-decoration: none;
    cursor: pointer;
}

.container {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.content {
    flex: 6.5;
    display: flex;
}

.content__leftside {
    flex: 1;
}

.content__leftside img {
    height: 100%;
    width: 100%;
    background-size: cover;
    background-position: 50% 50%;
}

.content__rightside {
    flex: 1.2;
    background: #e8e8e8;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 5rem;
}

/*#endregion*/

/*#region buttons used in login.ftl*/
.content__buttons {
    display: flex;
    width: 26vw;
    min-width: 500px;
    justify-content: center;
}

.content__buttons a {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    font-weight: 500;
    background: #34589d;
    color: #fefefe;
    border-right: 0.0625rem solid rgba(254, 254, 254, .2);
    height: 2.7rem;
    padding: 0 0.75rem;
    width: -moz-fit-content;
    width: fit-content;
    min-width: 5rem;
}

.content__buttons a:first-child {
    border-radius: 0.5rem 0 0 0.5rem;
}

.content__buttons a:last-child {
    border-radius: 0 0.5rem 0.5rem 0;
    background: transparent;
    color: #34589D;
    border: 0.0625rem solid #34589D;
    box-shadow: 0 0 40px 0 rgba(52, 88, 157, 0.75);
    box-sizing: border-box;
}

/*#endregion*/

/*#region Formulaire*/
.form {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    width: 26vw;
    min-width: 500px;
}

/*#region Inputs*/
.input {
    display: block;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    width: 100%;
    height: 2.1375rem;
    padding: 0.5rem;
    border: 1px solid #cacaca;
    border-radius: 0.25rem;
    background-color: #fefefe;
    -webkit-box-shadow: none;
    box-shadow: none;
    font-family: inherit;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.2;
    color: #0a0a0a;
    -webkit-transition: border-color .25s ease-in-out, -webkit-box-shadow .5s;
    transition: border-color .25s ease-in-out, -webkit-box-shadow .5s;
    -o-transition: box-shadow .5s, border-color .25s ease-in-out;
    transition: box-shadow .5s, border-color .25s ease-in-out;
    transition: box-shadow .5s, border-color .25s ease-in-out, -webkit-box-shadow .5s;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

.input:focus {
    outline: 0;
    border: 1px solid #34589d;
    background-color: #fefefe;
    -webkit-box-shadow: 0 0 5px #34589d;
    box-shadow: 0 0 5px #34589d;
    -webkit-transition: border-color .25s ease-in-out, -webkit-box-shadow .5s;
    -o-transition: box-shadow .5s, border-color .25s ease-in-out;
    transition: box-shadow .5s, border-color .25s ease-in-out, -webkit-box-shadow .5s;
}

.input::placeholder {
    color: #cacaca;
}

label {
    display: block;
    margin: 0;
    font-size: .8125rem;
    font-weight: 700;
    line-height: 1.4;
    color: #505d74;
}


.form__inputs {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.form__input--icon {
    position: relative;
}

.form__input--icon i {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 3%;
    color: rgba(174, 174, 174, .5);
    font-size: 1.5rem;
}

.form__input--icon:has(i.left) input {
    padding-left: 2.75rem;
}

.form__input--icon:has(i.right) input {
    padding-right: 2.75rem;
}

.form__input--icon i.right {
    left: unset;
    right: 3%;
    color: #34589d;
    cursor: pointer;
}

.form__input--icon input:focus + i {
    color: #34589d;
}

/*#endregion*/


/*#region Label*/
.label-with-action {
    display: flex;
    justify-content: space-between;
}

.label-with-action a {
    font-size: .8125rem;
    font-weight: 700;
    text-decoration: underline;
}

/*#endregion*/

/*#region Title*/
.form__title--maintitle {
    color: #34589d;
    font-size: 1.9375rem;
    margin: 0;
    font-weight: 500;
}

.form__title--subtitle {
    color: #505d74;
}

/*#endregion*/

/*#region Buttons*/
.form__buttons {
    display: flex;
    justify-content: space-between;
}

.form__buttons.one-button {
    flex-direction: row-reverse;
}


button.cancel-button {
    border: 1px solid #34589d;
    color: #34589d;
}

.cancel-button:focus,
.cancel-button:hover {
    border: 1px solid #1a2c4f;
    color: #1a2c4f;
}

.cancel-button:hover a {
    color: #1a2c4f;
}

.button {
    font-weight: 500;
    display: inline-block;
    vertical-align: middle;
    margin: 0;
    font-family: inherit;
    padding: 11px 1em 9px 1em;
    -webkit-appearance: none;
    border: 1px solid transparent;
    border-radius: 0.25rem;
    -webkit-transition: background-color .25s ease-out, color .25s ease-out;
    -o-transition: background-color .25s ease-out, color .25s ease-out;
    transition: background-color .25s ease-out, color .25s ease-out;
    font-size: .9rem;
    line-height: 1;
    text-align: center;
    cursor: pointer;
    width: auto;
}

.button i {
    margin: 0 0.5rem 0 0;
}

.login-button {
    background-color: #34589d;
    color: #fefefe;
}

.login-button:hover {
    background: #2e4d8a;
    color: #fefefe;
}

/*#endregion*/
/*#endregion*/

/*#region alertes */


.alerte {
    display: flex;
    align-items: center;
    gap: 1rem;
    padding: 0.5rem;
    border-style: solid;
    border-width: 1px;
    border-radius: 0.25rem;
}

.alerte i {
    font-size: 2.125rem;
}

.alerte p {
    margin: 0;
}

.alerte.error p {
    font-weight: 500;
}

.alerte.success {
    border-color: #6bbfa3;
    background-color: #e1faea;
    color: #6bbfa3;
}

.alerte.error {
    border-color: #e23a66;
    background-color: rgba(226, 58, 102, .15);
    color: #e23a66;
}

/*#endregion*/

/*#region social providers*/

.socialProviders {
    width: 100%;
}

.socialProviders__title {
    margin: 0;
    font-size: 14px;
}

.socialProviders__list {
    display: flex;
    justify-content: flex-end;
}

.socialProviders__item a {
    color: white;
}

/*#endregion*/


/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (max-width: 992px) {
    .content__leftside {
        display: none;
    }

    .footer__products {
        display: none;
    }

    .content__buttons {
        width: 80%;
        min-width: auto;
    }

    .content__buttons a {
        flex:1;
    }

    .form {
        width: 80vw;
        min-width: auto;
    }
}

